Bug 84385 - ports/devel/avltree - mirror distfile
Summary: ports/devel/avltree - mirror distfile
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-07-31 13:10 UTC by jharris
Modified: 2005-08-01 16:50 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2005-07-31 13:10:18 UTC
	save a non-GPL'd library by mirroring distfile
	add more hashes to distinfo
	(google for SHA-1 and RMD160 hashes, see NetBSD's
		pkgsrc/devel/avltree)

Fix: -----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
NotDashEscaped: You need GnuPG to verify this message

cvs server: Diffing .


iJ0EARECAF0FAkLsvK1WGGh0dHA6Ly9rZXlzZXJ2ZXIua2pzbC5jb206MTEzNzEv
cGtzL2xvb2t1cD9vcD1nZXQmc2VhcmNoPTB4RDM5REEwRTMmd2VoYXZleW91bm93
PXRydWUACgkQSypIl9OdoOP2TwCgiH7BI+9IuMtVdoXuzxlveQ1cx78AnA4iBLYA
UD6b8EzSRe3+D4cjLTOD
=hy4D
-----END PGP SIGNATURE-------GfJMHrDla92hiXO0JCVq4M0gka4RTOnmU5Ok6YVUsuYln4cS
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/devel/avltree/Makefile,v
retrieving revision 1.10
diff -u -r1.10 Makefile
--- Makefile	30 Jul 2005 01:49:29 -0000	1.10
+++ Makefile	31 Jul 2005 11:57:02 -0000
@@ -8,10 +8,7 @@
 PORTVERSION=	1.1
 PORTREVISION=	1
 CATEGORIES=	devel
-MASTER_SITES=	# disappeared in 2001
-
-DEPRECATED=	"now only available on *BSD mirrors"
-EXPIRATION_DATE=2005-08-31
+MASTER_SITES=	http://keyserver.kjsl.com/~jharris/distfiles/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	An in-memory index w/ binary and string keys and key counts
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/devel/avltree/distinfo,v
retrieving revision 1.2
diff -u -r1.2 distinfo
--- distinfo	29 Jan 2004 07:22:55 -0000	1.2
+++ distinfo	31 Jul 2005 11:57:02 -0000
@@ -1,2 +1,5 @@
 MD5 (avltree-1.1.tar.gz) = 45a5dafb8de20059b450ce3137860c53
+SHA1 (avltree-1.1.tar.gz) = b0568fa59d4115297043ce580abf904143c2d6f1
+RMD160 (avltree-1.1.tar.gz) = 7e76e869c38437ae2e561b463c74a736785e8ea4
+SHA256 (avltree-1.1.tar.gz) = b94fc05e5c6705990f21d9cb05b9638a7df0d2a28908ecde44ff566fae390027
 SIZE (avltree-1.1.tar.gz) = 11698
cvs server: Diffing files
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (FreeBSD)
How-To-Repeat: 
	apply patch below
Comment 1 Thierry Thomas freebsd_committer 2005-08-01 16:49:36 UTC
State Changed
From-To: open->closed


Committed, thanks!